Bug 1871920 - Dynamic Sources/channels should use latest version available
Summary: Dynamic Sources/channels should use latest version available
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Jaivardhan Kumar
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-24 15:27 UTC by Jaivardhan Kumar
Modified: 2020-09-21 07:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6412 None closed Bug 1871920: pick latestCRDversion instead of latest/served true for eventSources/channels 2020-09-23 07:44:28 UTC

Description Jaivardhan Kumar 2020-08-24 15:27:13 UTC
Description: Currently in ODC Version is picked from CRDs bases on field `storage` and `served` as true however should pick latest version as done for search creation across
versions:
  - name: v1alpha1
     served: true
     storage: true
  - name: v1beta1
     served: true
     storage: false
Here in eventSource creation version used is `v1alpha1` however it should be `v1beta1`.

Prerequisites (if any, like setup, operators/versions): Install Serverless operator

Steps to Reproduce
- Go to DevPerspective -> Add -> EventSource/Channel
- Create eventSource/channel

Actual results: considering above sample version used will be `v1alpha1` for creation

Expected results: considering above sample version used should be `v1beta1` for creation

Reproducibility (Always/Intermittent/Only Once): Always


Additional info: In search flows across Admin/Dev Perspective makes use of latest version https://github.com/openshift/console/blob/master/frontend/public/module/k8s/k8s.ts#L97

Comment 1 Jaivardhan Kumar 2020-08-24 15:29:16 UTC
Associated Jira ticket https://issues.redhat.com/browse/ODC-4477

Comment 4 Karthik Jeeyar 2020-09-21 07:49:42 UTC
Verified on
Build number: 4.6.0-0.nightly-2020-09-20-184226
Url: https://console-openshift-console.apps.dev-svc-4.6-092101.devcluster.openshift.com/add/ns/openshift-operators
User: Kubeadmin


Note You need to log in before you can comment on or make changes to this bug.